man(1)

NAME
/connect - the Profanity /connect command.

DESCRIPTION
Login to a chat service. If no account is specified, the default is used if one is configured. A local account is created with the JID as it's name if it doesn't already exist.

SYNOPSIS
/connect [<account>]

/connect <account> [server <server>] [port <port>] [tls force|allow|trust|legacy|disable] [auth default|legacy]

ARGUMENTS

<account>
    The local account you wish to connect with, or a JID if connecting for the first time.

server <server>
    Supply a server if it is different to the domain part of your JID.

port <port>
    The port to use if different to the default (5222, or 5223 for SSL).

tls force
    Force TLS connection, and fail if one cannot be established, this is default behaviour.

tls allow
    Use TLS for the connection if it is available.

tls trust
    Force TLS connection and trust server's certificate.

tls legacy
    Use legacy TLS for the connection. It means server doesn't support STARTTLS and TLS is forced just after TCP connection is established.

tls disable
    Disable TLS for the connection.

auth default
    Default authentication process.

auth legacy
    Allow legacy authentication.

EXAMPLES
/connect

/connect odin@valhalla.edda

/connect odin@valhalla.edda server talk.google.com

/connect freyr@vanaheimr.edda port 5678

/connect me@localhost.test.org server 127.0.0.1 tls disable

/connect me@chatty server chatty.com port 5443